<template>
  <div>
    <input type="text" :value="value" @input="handleInput" />
  </div>
</template>

<script>
export default {
  name: "InputUsername",
  data() {
    return {};
  },
  props: {
    value: {
      type: String,
      required: true,
    },
  },
  methods: {
    handleInput(e) {
      const value = e.target.value.toLowerCase();
      // If value was changed, update it on the input too
      if (value !== e.target.value) {
        e.target.value = value;
      }
      this.$emit("input", value);
    },
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style>
</style>
